#!/usr/bin/env node

var argv = require('optimist')
.usage('Usage: $0 <directory> <path> [--print] [--print0]')
.describe('print',  'Print the module path, followed by a new line character')
.describe('print0', 'Print the module path, followed by a null character')
.demand([2])
.argv;

require('../lib/puddi').analyze(argv._[0], argv._[1], function (module) {
	if (argv.print)
		process.stdout.write(module.directory + '\n');
	if (argv.print0)
		process.stdout.write(module.directory + '\0');
});
