#!/usr/bin/env bash

function forEachJavascriptFile() {
  ../bin/puddi.js "${1}" "${2}" --print | xargs -I X find X -maxdepth 1 -name '*.js' -exec "${3}" {} \;
}

# Want to check your code with JSHint ?
forEachJavascriptFile . application jshint

# This will process every client files using UglifyJS, and write the output in the build folder
forEachJavascriptFile . application.client uglifyjs > build/client.js
forEachJavascriptFile . application.server uglifyjs > build/server.js
