var warn = require('./warn').warn;

exports.find = require('./find').find;
exports.build = require('./build').build;
exports.resolve = require('./resolve').resolve;

exports.analyze = function (dirname, path, callback) {
	exports.build(dirname, function (tree) {
		var module = exports.find(tree, path);
		if (module) {
			exports.resolve(module, callback);
		} else {
			warn(path, 'Module not found.');
		}
	});
};
