function strerror(code) {
	return {
		EACCESS     : "Permission denied.",
		ECANCELED   : "Operation cancelled.",
		ECONNRESET  : "Connection reset.",
		EINVAL      : "Invalid argument.",
		EIO         : "Input/output error.",
		ENETUNREACH : "Network unreachable.",
		ENODEV      : "No such device.",
		ENOENT      : "File not found.",
		ENOEXEC     : "Not an executable image.",
		ENOMEM      : "Out of memory.",
		ENOSPC      : "No space left on device.",
		ENOTCONN    : "Not connected.",
		ENOTSUP     : "Not supported.",
		EPERM       : "Operation not permitted.",
		ERANGE      : "Out of range.",
		ETIMEDOUT   : "Connection timed out."
	}[code];
};

exports.warn = function (what, message) {
	console.log(['module', what, message].join(': '));
};

exports.warn.sys = function (what, code) {
	exports.warn(what, strerror(code));
};
